/**
 * Represents the state of a game.
 */
export class State
{
    /**
     * Creates a new state.
     *
     * @param {number} width
     * The width of the board.
     *
     * @param {number} height
     * The height of the board.
     *
     * @returns {IState}
     * The newly created state.
     */
    static create(width, height)
    {
        return {
            turnCount: 0,
            board: Array(height).fill("").map(
                () =>
                {
                    return Array(width).fill("");
                })
        };
    }
}
